# serial: src/serial.cc File Reference

serial 1.0 Cross-platform serial port library written in C++

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Defines
Data Structures
src/serial.cc File Reference
`#include "serial/serial.h"`
`#include "serial/impl/unix.h"`
Include dependency graph for serial.cc:

## Data Structures

class | serial::Serial::ScopedReadLock
class | serial::Serial::ScopedWriteLock